%define _disable_ld_no_undefined 1

%define name xdrawchem
%define version 1.9.9
%define release %mkrel 5

Summary: 	2D chemical structures drawing tool
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	xdrawchem-%{version}.tar.bz2
Patch0:		%{name}-gcc43.patch
Patch1:		%{name}-ob22.patch
URL: 		http://xdrawchem.sourceforge.net
License: 	GPLv2+
Group: 		Sciences/Chemistry
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	qt3-devel openbabel-devel >= 2.0.0
Requires:	openbabel >= 2.0.0
Obsoletes:	kde3-xdrawchem
Provides:	kde3-xdrawchem

%description
XDrawChem is a two-dimensional molecule drawing program for Unix
operating systems.  It is similar in functionality to other molecule
drawing programs such as ChemDraw (TM, CambridgeSoft).  It can read
and write MDL Molfiles and CML files to allow sharing between
XDrawChem and other chemistry applications.

%prep
%setup -q
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .ob

%build
#export QTDIR=%_prefix/lib/qt3
#export KDEDIR=%_prefix
#export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
#export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH


%configure2_5x \
		--with-qtincdir=`pkg-config qt-mt --variable includedir` \
		--with-qtlibdir=`pkg-config qt-mt --variable libdir` \

	
%make qtlibname=qt-mt

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DEST=$RPM_BUILD_ROOT/usr/bin

# menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=XDrawChem
Comment=2D chemical structure editor
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Science;Chemistry;QT;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif


%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%doc COPYRIGHT.txt GPL.txt HISTORY.txt INSTALL.txt README.txt
%doc TODO.txt 
%_bindir/xdrawchem
%dir %_datadir/xdrawchem
%_datadir/xdrawchem/*
%{_datadir}/applications/*.desktop



%changelog
* Tue Aug 19 2008 Emmanuel Andry <eandry@mandriva.org> 1.9.9-5mdv2009.0
+ Revision: 274063
- fix x86_64 build
- define _disable_ld_no_undefined

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 1.9.9-3mdv2008.0
+ Revision: 25864
- really xdg menu
- rebuild for openbabel
- xdg menu
- Import xdrawchem



* Wed Jan 18 2006 Lenny Cartier <lenny@mandriva.com> 1.9.9-2mdk
- fixes on x86_64

* Tue Jan 17 2006 Lenny Cartier <lenny@mandriva.com> 1.9.9-1mdk
- 1.9.9

* Fri Aug 12 2005 Austin Acton <austin@mandriva.org> 1.9.8-1mdk
- New release 1.9.8

* Fri Jul 22 2005 Austin Acton <austin@mandriva.org> 1.9.7-1mdk
- New release 1.9.7

* Thu Jun 16 2005 Lenny Cartier <lenny@mandriva.com> 1.9.6-1mdk
- 1.9.6

* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.9.5-1mdk
- New release 1.9.5

* Fri Apr 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.9.4-1mdk
- 1.9.4

* Fri Feb 11 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.9.2-1mdk
- 1.9.2

* Mon Jan 10 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.9.1-1mdk
- 1.9.1
- add docs
- fix dir owned by package

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.9-1mdk
- 1.9.0

* Tue Aug 24 2004 Austin Acton <austin@mandrake.org> 1.8.5-2mdk
- fix menu

* Wed Jul 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.8.5-1mdk
- 1.8.5

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.8.4-2mdk
- Rebuild

* Tue Jun 1 2004 Austin Acton <austin@mandrake.org> 1.8.4-1mdk
- 1.8.4
- configure 2.5

* Tue May 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.8.3-1mdk
- 1.8.3

* Tue May 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.8.1-1mdk
- 1.8.1

* Tue Nov 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.7.6-1mdk
- 1.7.6

* Tue Sep 9 2003 Austin Acton <aacton@yorku.ca> 1.7.5-2mdk
- remove requires qt3

* Fri Sep 5 2003 Austin Acton <aacton@yorku.ca> 1.7.5-1mdk
- 1.7.5
- drop patches
- drop mocify
- use new openbabel linking
- delib buildrequires

* Sat Aug 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.7.4-1mdk
- 1.7.4

* Mon Jul 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.7.3-1mdk
- 1.7.3

* Mon Jun 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.7.2-1mdk
- 1.7.2

* Wed May 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.10-1mdk
- 1.6.10

* Thu Apr 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.9-1mdk
- 1.6.9

* Wed Feb 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.6-1mdk
- 1.6.6

* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.5-1mdk
- 1.6.5

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.4-1mdk
- 1.6.4
- patch0: add missing iostream.h includes

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3

* Thu Nov 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6-1mdk
- from Austin Acton <aacton@yoroku.ca> :
	- 1.6
	- add 'mocify' program (from author) to rebuild moc files against qt 3.1
	- define qtlibname as qt-mt
	- diable included openbabel

* Wed Oct 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.5-1mdk
- from Austin Acton <aacton@yorku.ca>
	- 1.5.5

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.4-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- 1.5.4
  	- remove patch

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.3-1mdk
- once again, great work from Austin Acton <aacton@yorku.ca> :
  	- update to 1.5.3
  	- specfile rewrite for new configure script
  	- ioiface patch from author (1.5.4 won't need it)
  	- depends on openbabel
  	- ring files moved from libdir to datadir
  	- add full documentation and rc file

* Thu Sep  5 2002 Daouda LO <daouda@mandrakesoft.com> 1.4.1-3mdk
- rebuild

* Thu Aug 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-2mdk
- rebuild

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-1mdk
- 1.4.1

* Thu Jul 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- 1.4

* Fri Jun 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2

* Mon Jun 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- New version

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-2mdk
- Rebuild against gcc3.1

* Thu May 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- port to kde3

* Thu Mar 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- Fix hard coded path

* Thu Mar 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Tue Feb 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- 1.0
- fix menu
- remove useless ldconfig

* Wed Feb 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.9-1mdk
- 0.99.9

* Mon Jan 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.8-1mdk
- 0.99.8

* Tue Dec 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.7-1mdk
- 0.99.7

* Wed Dec 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.6-1mdk
- 0.99.6

* Thu Nov 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-1mdk
- 0.99.4

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.3-1mdk
- rebuild against new libpng
- 0.99.3

* Thu Sep 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.1-1mdk
- Update code (0.99.1)

* Mon Sep 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99-1mdk
- Update code (0.99)

* Wed Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-3mdk
- Fix icon 

* Tue Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-2mdk
-Rebuild

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.96-1mdk
- 0.96

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 0.94-1mdk
- updated from Thomas Leclerc <leclerc@linux-mandrake.com> 0.94-1mdk
	- version 0.94
	- add menu entry

* Wed Jul 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.92-1mdk

- added in contribs by Thomas Leclerc <leclerc@linux-mandrake.com> :
        - version 0.92
	
* Tue Jul 10 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.91-1mdk
- version 0.91
- remove matherr-patch (obsolete)

* Mon Jun 18 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9-1mdk
- initial mandrake release
- patch errors in libm usage

# end of file
